﻿/*
 * Written by Stewart Berman 2012
 * Please send any bug reports / suggestions to sab@saberman.com
 * 
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Threading;
using System.Diagnostics;

namespace ODBC
{
    /// <summary>
    /// Interaction logic for About.xaml
    /// </summary>
    public partial class winAbout : Window
    {
        DispatcherTimer dispatcherTimer;
        public winAbout()
        {
            InitializeComponent();
            lblCopyright.Content = "(c) 2012 Saberman, Inc." + "\r\n" + "All Rights Reserved";
            lblDescription.Content = "Description:" +
                                    "\r\n\t" + "ODBCINFO enables you to determine the functions" +
                                    "\r\n" + "available and attributes supported by any database with" +
                                    "\r\n" + "an ODBC driver." +
                                    "\r\n\t" + "You can use a DSN to access the database or select" +
                                    "\r\n" + "a specific driver, database and server.";
            dispatcherTimer = new DispatcherTimer();
            dispatcherTimer.Tick += new EventHandler(dispatcherTimer_Tick);
            dispatcherTimer.Interval = new TimeSpan(0, 0, 10);
            dispatcherTimer.Start();
        }
        private void dispatcherTimer_Tick(Object sender, EventArgs e)
        {
            dispatcherTimer.Stop();
            dispatcherTimer= null;
            this.Close();
        }

        private void btnWebSite_Click(object sender, RoutedEventArgs e)
        {
            Process.Start("http://www.saberman.com");
            this.Close();
        }

        private void image1_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.Close();
        }

        private void btnWebSite_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            Process.Start("http://www.saberman.com");
            this.Close();
        }
    }
}
